EEPGET(1)

NAMA
Eepget - I2P downloader

SINOPSIS
eepget [options]URL

DESKRIPSI

Unduh file non-interaktif via HTTP. Dapat melakukan transfer melalui I2P dan Internet biasa .

Eepget mampu mengatasi koneksi jaringan yang lamban atau tidak stabil; Jika unduhan tidak berhasil karena masalah jaringan, unduhan akan terus dicoba sampai keseluruhan file diambil (jika opsi -n disetel). Jika didukung oleh remote server, eepget akan menginstruksikan server untuk melanjutkan unduh dari titik interupsi.

OPSI
-c

Clearnet. Internet biasa. Jangan gunakan proxy. Sama dengan -p :0 .

-e etag

Tentukan etag value di dalam request header.

-h name=value

Menambahkan request header dengan nama dan nilai yang diberikan.

-l lineLen

Mengontrol tampilan progress.  lineLen adalah panjang satu baris progress dalam karakter. Default-nya adalah 40.

-mmarkSize

Mengontrol tampilan progress.  markSize adalah jumlah byte yang ditunjukkan oleh karakter '#'. Default-nya adalah 1024.

-n retries

Mementukan berapa kali mencoba unduhan jika unduhan tidak berhasil. Jika opsi ini tidak ditentukan, eepget tidak akan mencoba lagi.

-o file

Menetapkan file output untuk ditulis. Jika opsi ini tidak diberikan, nama file output akan ditentukan oleh URL.

-p proxy_host[:port]

Tentukan server proxy I2P (eeproxy) untuk digunakan. Jika port tidak ditentukan, eepget akan menggunakan 4444. Jika opsi ini tidak ditentukan, eepget akan menggunakan 127.0.0.1:4444. Tentukan B atau B: 0 untuk menonaktifkan eeproxy.

-tseconds

Menetapkan batas waktu tidak aktif. Default-nya adalah 60 detik.

-u username

Menetapkan nama pengguna untuk otorisasi proxy, jika diperlukan.

-x password

Menetapkan password untuk otorisasi proxy, jika diperlukan. Jika nama pengguna ditentukan tapi password tidak, EepGet akan meminta password.

EXIT STATUS
eepget keluar dengan status nol setelah berhasil transfer dan non-nol jika ada masalah dengan unduhan.

REPORTING BUGS
Masukkan tiket di trafik I2P halaman

SEE ALSO
i2prouter(1) curl(1) wget(1)